Summary: Image Factory system image generation tool
Name: imagefactory
Version: 0.7.0
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPLv2
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.aeolusproject.org/imagefactory.html
BuildArch: noarch
Requires: oz >= 0.7.0
Requires: euca2ools
Requires: python-qmf
Requires: python-pycurl
Requires: python-libguestfs
Requires: python-zope-interface
Requires: python-boto
Requires: libxml2-python
Requires: python-httplib2
Requires: python-argparse
Requires: python-cloudservers
Requires: python-psphere
Requires: VMDKstream
Requires: python-suds >= 0.4.1
Requires: python-paste-deploy
Requires: python-oauth2
BuildRequires: python
BuildRequires: python-setuptools

%description
imagefactory is a daemon that listens for build requests via QMF.  When
a build request is received, imagefactory will build the requested image
for the requested target.

%prep
%setup -n %{name}-%{version}

%build
python setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/imagefactory/jeos_images
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/imagefactory/images
%clean
rm -rf $RPM_BUILD_ROOT

%postun
/sbin/service imagefactory condrestart > /dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc COPYING version.txt
%{_initrddir}/imagefactory
%config(noreplace) %{_sysconfdir}/imagefactory/imagefactory.conf
%dir %attr(0755, root, root) %{_sysconfdir}/pki/imagefactory/
%dir %attr(0755, root, root) %{_sysconfdir}/imagefactory/jeos_images/
%dir %attr(0755, root, root) %{_localstatedir}/lib/imagefactory/images
%{_sysconfdir}/pki/imagefactory/cert-ec2.pem
%{python_sitelib}/imgfac
%{python_sitelib}/imagefactory-*.egg-info
%{_bindir}/imagefactory
%{_mandir}/man1/*

%changelog
* Thu Sep 15 2011 Ian McLeod <imcleod@redhat.com> - 0.6.1
- Update Oz requirement to 0.7.0 or later for new target-specific package config
- Update SPEC file to restart service after an install 

* Mon Apr 04 2011 Chris Lalancette <clalance@redhat.com> - 0.1.6-1
- Initial spec file.
